.\" DAL DaDrvrVers(3) manpage
.\"
.\"
.\" +============================================+
.\" |  Author:          Yury Georgievskiy, CERN  |
.\" |  Creation date:   08.05.2007               |
.\" +============================================+
.\"
.\"
.TH DADRVRVERS "3" "May 2007" "Driver Access Library" "DAL User's Manual"
.SH NAME
DaDrvrVers \- obtain current driver version information.
.SH SYNOPSIS
.B int DaDrvrVers(HANDLE \fIhandle\fB, const char** \fIvers_str\fB, time_t* \fIdrvr_gen_date\fB);
.SH DESCRIPTION
Use this function to get driver generation date and version info string, that
contains information about driver compilation date and \fBdriverGen\fR
version, by which this driver was generated. If \fIvers_str\fR is not NULL,
then it will be initialized to point to the driver version info string.
If \fIdrvr_gen_date\fR is not NULL, then driver generation date goes here.
.TP
.I hndl
- lib handle, returned by \fIDaEnableAccess()\fR call
.TP
.I vers_str
- if not NULL, then will be initialized to point to the driver version
information string
.TP
.I drvr_gen_date
- if not NULL, then driver generation date goes here
.SH RETURN VALUE
.TP
.B current driver version\fR (some positive value)
- if success
.TP
.B -DA_ERR_BAD_HANDLE
- provided handle \fIhndl\fR is bad
.TP
.B -DA_ERR_NOT_INIT
- library was not initialized, i.e. \fIDaEnableAccess()\fR was not called
.SH AUTHOR
Written by Yury Georgievskiy <ygeorgie@gmail.com>
.SH SEE ALSO
.BR driverGen (8),
.BR modinst (8),
.BR moduninst (8),
.BR dal (3),
.BR DaEnableAccess (3),
.BR DaDisableAccess (3),
.BR DaSetDefAM (3),
.BR DaGetDefAM (3),
.BR DaGetNodeFd (3),
.BR DaGetRegister (3),
.BR DaGetRegChunk (3),
.BR DaSetRegister (3),
.BR DaSetRegChunk (3),
.BR DaGetRegDepth (3),
.BR DaGetRegSize (3),
.BR DaGetRegRep (3),
.BR DaSetRegRep (3),
.BR DaGetRegAccessRights (3),
.BR DaGetRegName (3),
.BR DaLibVers (3),
.BR DaDbgFlag (3),
.BR DaGetErrCode (3),
.BR DaUserEntryPoint (3)
